[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.IntfThemeOptionChange

Called by the interface when a theme option has changed.

## Declaration

Source position: forms.pp line 1701

`public procedure TApplication.IntfThemeOptionChange(`
`AThemeServices: TThemeServices;`
`AOption: TThemeOption`
`);`

## Arguments

`AThemeServices` |  | TThemeServices instance for the callback. Not used in the current LCL implementation.
`AOption` |  | TThemeOption changed in the callback.

## Description

IntfThemeOptionChange posts control messages to notify a custom form when either toShowButtonImages or toShowMenuImages is the value in AOption.

toShowButtonImages
  Posts a CM_APPSHOWBTNGLYPHCHANGED control message when ShowButtonGlyphs is set to sbgSystem.
toShowMenuImages
  Posts a CM_APPSHOWMENUGLYPHCHANGED control message when ShowMenuGlyphs is set to sbgSystem.